"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.scanFromBitmap = exports.scanFromFile = void 0;
var scanFromFile = function (filePath) {
    return function (error) {
        if (error.message.includes('no such file or directory'))
            throw new Error("[ERROR] File <" + filePath + "> not found!");
        throw error;
    };
};
exports.scanFromFile = scanFromFile;
var scanFromBitmap = function (error) {
    if (typeof error === 'string' && error.includes('0 patterns found'))
        throw new Error('[WARNING] No pattern could be found! Is there a QR-Code?');
    throw error;
};
exports.scanFromBitmap = scanFromBitmap;
exports.default = {
    scanFromFile: exports.scanFromFile,
    scanFromBitmap: exports.scanFromBitmap,
};
