"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.scanFromFileOnCli = exports.scanFromFile = void 0;
var error_1 = __importDefault(require("../handlers/error"));
var jimp_1 = require("../infrastructure/jimp");
var flags_1 = require("../handlers/flags");
var scanFromBitmap_1 = require("./scanFromBitmap");
/**
 * This function reads a file, get it's bitmap, searches and read a qrcode from it.
 * ```javascript
 * const value = await scanFromFile('./image.jpg')
 * ```
 *
 * @param filePath A file path for an image file containing a QR Code
 * @param flags
 * @returns Value read from the QR Code inside the image
 */
var scanFromFile = function (filePath, flags) {
    return Promise.resolve(filePath)
        .then(jimp_1.getBitmap)
        .then(function (bitmap) { return scanFromBitmap_1.scanFromBitmap(bitmap, flags); })
        .catch(error_1.default.scanFromFile(filePath));
};
exports.scanFromFile = scanFromFile;
var scanFromFileOnCli = function (filePath, flags) {
    return exports.scanFromFile(filePath, flags).then(flags_1.outputText(flags));
};
exports.scanFromFileOnCli = scanFromFileOnCli;
